Subject: bug#16736: Compiling a Lisp file causes display to flash off and on

From: Glenn Morris <[email-masked]>
Date: Sun, 16 Feb 2014 14:48:10 -0500

Eli Zaretskii wrote:

>> I put a break on x_clear_frame, and with emacs -Q, byte-compile-file on
>> scheme.el triggers it.
>
> Can you show a backtrace from that breakpoint?

Easy enough.

#0  x_clear_frame (f=0x11cd8b8) at xterm.c:2909
#1  0x00000000004ece00 in clear_frame (f=0x11cd8b8) at terminal.c:140
#2  0x0000000000417f8f in redraw_frame (f=0x11cd8b8) at dispnew.c:2955
#3  0x0000000000448e4d in clear_garbaged_frames () at xdisp.c:10935
#4  0x0000000000448fb9 in echo_area_display (update_frame_p=1) at xdisp.c:10979
#5  0x000000000044703a in message3_nolog (m=14191025) at xdisp.c:9987
#6  0x0000000000446de9 in message3 (m=14191025) at xdisp.c:9929
#7  0x00000000005b560f in Fmessage (nargs=3, args=0x7fffffff8338)
    at editfns.c:3452
#8  0x00000000005c0e83 in Ffuncall (nargs=4, args=0x7fffffff8330)
    at eval.c:2796
#9  0x0000000000600e44 in exec_byte_code (bytestr=13161473, vector=19239277, 
    maxdepth=72, args_template=5140, nargs=5, args=0x7fffffff88d8)
    at bytecode.c:919
#10 0x00000000005c16b2 in funcall_lambda (fun=18472445, nargs=5, 
    arg_vector=0x7fffffff88b0) at eval.c:2983
#11 0x00000000005c11a7 in Ffuncall (nargs=6, args=0x7fffffff88a8)
    at eval.c:2864
#12 0x0000000000600e44 in exec_byte_code (bytestr=14003153, vector=18902205, 
    maxdepth=32, args_template=2056, nargs=2, args=0x7fffffff8e68)
    at bytecode.c:919
#13 0x00000000005c16b2 in funcall_lambda (fun=18951917, nargs=2, 
    arg_vector=0x7fffffff8e58) at eval.c:2983
#14 0x00000000005c11a7 in Ffuncall (nargs=3, args=0x7fffffff8e50)
    at eval.c:2864
#15 0x0000000000600e44 in exec_byte_code (bytestr=14003009, vector=18997205, 
    maxdepth=64, args_template=6168, nargs=6, args=0x7fffffff9420)
    at bytecode.c:919
#16 0x00000000005c16b2 in funcall_lambda (fun=18997301, nargs=6, 
    arg_vector=0x7fffffff93f0) at eval.c:2983
#17 0x00000000005c11a7 in Ffuncall (nargs=7, args=0x7fffffff93e8)
    at eval.c:2864
#18 0x0000000000600e44 in exec_byte_code (bytestr=14002977, vector=18073693, 
    maxdepth=68, args_template=5140, nargs=5, args=0x7fffffff99e8)
    at bytecode.c:919
#19 0x00000000005c16b2 in funcall_lambda (fun=18997349, nargs=5, 
    arg_vector=0x7fffffff99c0) at eval.c:2983
#20 0x00000000005c11a7 in Ffuncall (nargs=6, args=0x7fffffff99b8)
    at eval.c:2864
#21 0x0000000000600e44 in exec_byte_code (bytestr=14002785, vector=18997397, 
    maxdepth=120, args_template=1028, nargs=1, args=0x7fffffff9f68)
    at bytecode.c:919
#22 0x00000000005c16b2 in funcall_lambda (fun=18997477, nargs=1, 
    arg_vector=0x7fffffff9f60) at eval.c:2983
#23 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffff9f58)
    at eval.c:2864
#24 0x0000000000600e44 in exec_byte_code (bytestr=21918129, vector=17903693, 
    maxdepth=16, args_template=1028, nargs=1, args=0x7fffffffa4a0)
    at bytecode.c:919
#25 0x00000000005c16b2 in funcall_lambda (fun=17919557, nargs=1, 
    arg_vector=0x7fffffffa498) at eval.c:2983
#26 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffffa490)
    at eval.c:2864
#27 0x0000000000600e44 in exec_byte_code (bytestr=21918449, vector=17903597, 
    maxdepth=20, args_template=1028, nargs=1, args=0x7fffffffa9e0)
    at bytecode.c:919
#28 0x00000000005c16b2 in funcall_lambda (fun=17903645, nargs=1, 
    arg_vector=0x7fffffffa9d8) at eval.c:2983
#29 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffffa9d0)
    at eval.c:2864
#30 0x0000000000600e44 in exec_byte_code (bytestr=14339425, vector=19017693, 
    maxdepth=16, args_template=0, nargs=0, args=0x7fffffffaf10)
    at bytecode.c:919
#31 0x00000000005c16b2 in funcall_lambda (fun=19017861, nargs=0, 
    arg_vector=0x7fffffffaf10) at eval.c:2983
#32 0x00000000005c11a7 in Ffuncall (nargs=1, args=0x7fffffffaf08)
    at eval.c:2864
#33 0x0000000000600e44 in exec_byte_code (bytestr=14364257, vector=19207309, 
    maxdepth=4, args_template=0, nargs=0, args=0x7fffffffb438)
    at bytecode.c:919
#34 0x00000000005c16b2 in funcall_lambda (fun=19308733, nargs=0, 
    arg_vector=0x7fffffffb438) at eval.c:2983
#35 0x00000000005c11a7 in Ffuncall (nargs=1, args=0x7fffffffb430)
    at eval.c:2864
#36 0x00000000005bfa48 in eval_sub (form=13338950) at eval.c:2157
#37 0x00000000005bdd6a in internal_lisp_condition_case (var=14018162, 
    bodyform=13338950, handlers=13339046) at eval.c:1323
#38 0x0000000000601ff5 in exec_byte_code (bytestr=21623585, vector=19198157, 
    maxdepth=64, args_template=1028, nargs=1, args=0x7fffffffbc48)
    at bytecode.c:1169
#39 0x00000000005c16b2 in funcall_lambda (fun=16683157, nargs=1, 
    arg_vector=0x7fffffffbc40) at eval.c:2983
#40 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffffbc38)
    at eval.c:2864
#41 0x0000000000600e44 in exec_byte_code (bytestr=21665569, vector=18963773, 
    maxdepth=68, args_template=2052, nargs=1, args=0x7fffffffc1a8)
    at bytecode.c:919
#42 0x00000000005c16b2 in funcall_lambda (fun=16684125, nargs=1, 
    arg_vector=0x7fffffffc1a0) at eval.c:2983
#43 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffffc198)
    at eval.c:2864
#44 0x0000000000600e44 in exec_byte_code (bytestr=10789089, vector=10789125, 
    maxdepth=8, args_template=0, nargs=0, args=0x7fffffffc6d0)
    at bytecode.c:919
#45 0x00000000005c16b2 in funcall_lambda (fun=10789037, nargs=0, 
    arg_vector=0x7fffffffc6d0) at eval.c:2983
#46 0x00000000005c11a7 in Ffuncall (nargs=1, args=0x7fffffffc6c8)
    at eval.c:2864
#47 0x00000000005c08c7 in apply1 (fn=20569570, arg=12757298) at eval.c:2581
#48 0x00000000005b9cd3 in Fcall_interactively (function=20569570, 
    record_flag=12757298, keys=12792317) at callint.c:378
#49 0x00000000005c1014 in Ffuncall (nargs=4, args=0x7fffffffc9f8)
    at eval.c:2822
#50 0x0000000000600e44 in exec_byte_code (bytestr=10183985, vector=10184021, 
    maxdepth=52, args_template=4100, nargs=1, args=0x7fffffffcf60)
    at bytecode.c:919
#51 0x00000000005c16b2 in funcall_lambda (fun=10183941, nargs=1, 
    arg_vector=0x7fffffffcf58) at eval.c:2983
#52 0x00000000005c11a7 in Ffuncall (nargs=2, args=0x7fffffffcf50)
    at eval.c:2864
#53 0x00000000005c096c in call1 (fn=12801186, arg1=20569570) at eval.c:2614
#54 0x0000000000531592 in command_loop_1 () at keyboard.c:1556
#55 0x00000000005bdecd in internal_condition_case (
    bfun=0x530eab <command_loop_1>, handlers=12808898, 
    hfun=0x5307bd <cmd_error>) at eval.c:1354
#56 0x0000000000530c05 in command_loop_2 (ignore=12757298) at keyboard.c:1174
#57 0x00000000005bd6df in internal_catch (tag=12804834, 
    func=0x530bdf <command_loop_2>, arg=12757298) at eval.c:1118
#58 0x0000000000530bb3 in command_loop () at keyboard.c:1153
#59 0x00000000005303b8 in recursive_edit_1 () at keyboard.c:777
#60 0x0000000000530525 in Frecursive_edit () at keyboard.c:845
#61 0x000000000052e550 in main (argc=3, argv=0x7fffffffd438) at emacs.c:1643

Lisp Backtrace:
  "message" (0xffff8338)
  "byte-compile-file-form-defmumble" (0xffff88b0)
0x1212ee8 PVEC_COMPILED
0x121e030 PVEC_COMPILED
0x121e060 PVEC_COMPILED
  "byte-compile-file-form-defalias" (0xffff9f60)
  "byte-compile-file-form" (0xffffa498)
  "byte-compile-toplevel-file-form" (0xffffa9d8)
0x1223080 PVEC_COMPILED
0x126a0b8 PVEC_COMPILED
  "funcall" (0xffffb430)
  "byte-compile-from-buffer" (0xffffbc40)
  "byte-compile-file" (0xffffc1a0)
  "emacs-lisp-byte-compile" (0xffffc6d0)
  "call-interactively" (0xffffca00)
  "command-execute" (0xffffcf58)

I don't have time to look into the rest of the things you asked right
now.